<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Creator</title>
    <link rel="stylesheet" href="style.css">
    <script src="./scripts/references.js" defer></script>
    <script src="./scripts/http.js" defer></script>
    <script src="./scripts/index.js" defer></script>
    <script src="./scripts/event-listener.js" defer></script>
    
</head>
<body>
    <main class="main-container">
        <section class="create-question-container">
            <div class="quest-template" id="question-template">
                <textarea name="questions-text-area" id="question-text-area" placeholder="enter question" cols="50" rows="5"></textarea>
                
                <div class="question-add-ons" id="question-add-ons"></div>
              

            </div>
            <div class="options-container">
                <button class="btn" id="dropdown-btn">Dropdown</button>
                <button class="btn" id="checkbox-btn">Checkbox</button>
                <button class="btn" id="numeric-btn">Numeric</button>
                <button class="btn" id="text-btn">Text</button>
                <button class="btn" id="add-btn">Add Option</button>
                <button class="create-btn" id="create-question-btn">Create Question</button>
            </div>
        </section>
        <section class="form-container" id="form-container">
            <p>form</p>
        </section>
    </main>
</body>
</html>